org.apache.catalina.realm

## Class Constants

- java.lang.Object
- - org.apache.catalina.realm.Constants

- Deprecated.
  Unused. Will be removed in Tomcat 9

      @Deprecated
      public final class Constants
      extends Object

  Manifest constants for this Java package.
  Author:
    Craig R. McClanahan

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIDENTIAL_TRANSPORT` Deprecated.
    `static String` | `FORM_ACTION` Deprecated.
    `static String` | `FORM_METHOD` Deprecated.
    `static String` | `INTEGRAL_TRANSPORT` Deprecated.
    `static String` | `NONE_TRANSPORT` Deprecated.
    `static String` | `Package` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Package

          public static final String Package

      Deprecated.
      See Also:
        Constant Field Values

    - #### FORM_METHOD

          public static final String FORM_METHOD

      Deprecated.
      See Also:
        Constant Field Values

    - #### FORM_ACTION

          public static final String FORM_ACTION

      Deprecated.
      See Also:
        Constant Field Values

    - #### NONE_TRANSPORT

          public static final String NONE_TRANSPORT

      Deprecated.
      See Also:
        Constant Field Values

    - #### INTEGRAL_TRANSPORT

          public static final String INTEGRAL_TRANSPORT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONFIDENTIAL_TRANSPORT

          public static final String CONFIDENTIAL_TRANSPORT

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

      Deprecated.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.